package com.kingdee.eas.custom.beisen.syncperson;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SyncPersonToBeisenFacadeFactory
{
    private SyncPersonToBeisenFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.beisen.syncperson.ISyncPersonToBeisenFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.beisen.syncperson.ISyncPersonToBeisenFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("7CCEF719") ,com.kingdee.eas.custom.beisen.syncperson.ISyncPersonToBeisenFacade.class);
    }
    
    public static com.kingdee.eas.custom.beisen.syncperson.ISyncPersonToBeisenFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.beisen.syncperson.ISyncPersonToBeisenFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("7CCEF719") ,com.kingdee.eas.custom.beisen.syncperson.ISyncPersonToBeisenFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.beisen.syncperson.ISyncPersonToBeisenFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.beisen.syncperson.ISyncPersonToBeisenFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("7CCEF719"));
    }
    public static com.kingdee.eas.custom.beisen.syncperson.ISyncPersonToBeisenFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.beisen.syncperson.ISyncPersonToBeisenFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("7CCEF719"));
    }
}